Subject: 24.0.94; gdb-mi very slow on Windows

From: Karl-Heinz Schneider <[email-masked]>
Date: Tue, 17 Apr 2012 16:21:05 +0200

I use Emacs for C/C++ development on Windows XP. Since update to Emacs
24.0.94 I discovered that debugging with gdb-mi is very slow.

Right after starting debugging performance is ok, but after a while
using the debugger (adding breakpoints, removing breakpoints setting
conditions, etc...) becomes very very slow.

After a while Emacs is consuming 100% of CPU power for a while just
for typing a single character into the gdb-buffer (not sending it to 
GDB).
GDB commands like "next" or "step" take then several seconds until
all buffers are refreshed.